Bug 665967 - Free/busy fetch broken
Free/busy fetch broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openchange (Show other bugs)
6.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On: 883017
Blocks: 782183 835616 960054 840699 1019901
  Show dependency treegraph
 
Reported: 2010-12-28 01:53 EST by ritz
Modified: 2014-01-02 06:20 EST (History)
8 users (show)

See Also:
Fixed In Version: openchange-1.0-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch based on upstream code (10.71 KB, patch)
2010-12-28 08:06 EST, ritz
no flags Details | Diff
openchange-1.0-freebusy.patch (1.17 KB, patch)
2013-10-15 03:33 EDT, Milan Crha
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 184713 None None None Never

  None (edit)
Description ritz 2010-12-28 01:53:08 EST
Description of problem:
From customer
> I expect to be able to use scheduling when proposing a meeting. While
> there is a function for Free/Busy times for meeting attendees, there is
> no free/busy times displayed. Perhaps this is a configuration issue. I
> looked for help on this and found no information for setting anything
> special for Exchange servers for this function to work in Evolution.


Additional info:
related issue - 
https://bugzilla.redhat.com/show_bug.cgi?id=247800#c56
upstream - 
https://bugzilla.gnome.org/show_bug.cgi?id=601486
Comment 1 ritz 2010-12-28 08:06:30 EST
Created attachment 470951 [details]
patch based on upstream code

Proposed patch based on upstream code. Needs review/test.
Comment 3 Suzanne Yeghiayan 2011-01-05 14:49:29 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated 
in the current release, Red Hat is unfortunately unable to 
address this request at this time.  This request has been 
proposed for the next release of Red Hat Enterprise Linux.
If you would like it considered as an exception in the 
current release, please ask your support representative.
Comment 5 RHEL Product and Program Management 2011-07-05 21:09:32 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 14 RHEL Product and Program Management 2012-12-14 02:09:28 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 17 Milan Crha 2013-05-09 06:11:32 EDT
The patch is part of 0.32.2, thus I'm marking this as a dependency of bug #883017.
Comment 22 Laura Novich 2013-06-16 05:52:44 EDT
Marking this with DOCS_SCOPED - as this issue will not be documented in the Virtualization Administration Guide
Comment 26 Milan Crha 2013-10-15 03:32:23 EDT
I'm moving this to openchange, because the related fix belongs there. Note that the server doesn't update free-busy information immediately, thus it's possible that an outdated information is received due to server's behaviour. The information received by evolution-ews seems to be more accurate (not talking about slowness of evolution-mapi).
Comment 27 Milan Crha 2013-10-15 03:33:19 EDT
Created attachment 812374 [details]
openchange-1.0-freebusy.patch
Comment 31 errata-xmlrpc 2013-11-20 23:58:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.